package components;

import feathers.skins.RectangleSkin;
import feathers.controls.LayoutGroup;
import t9.util.ColorTraces.*;

class VSpacer extends LayoutGroup {

    private var spacerHeight:Int;
    private var spacerColor:Int;
    private var spacerAlpha:Float;

	public function new(pSpacerHeight:Int = 10, pSpacerColor:Int = 0xFFFFFF, pSpacerAlpha:Float = 0) {
		super();

        spacerHeight = pSpacerHeight;
        spacerColor = pSpacerColor;
        spacerAlpha = pSpacerAlpha;
	}

	override private function initialize():Void {
		super.initialize();

        var rs:RectangleSkin = new RectangleSkin(SolidColor(spacerColor, spacerAlpha));
        rs.height = spacerHeight;
        backgroundSkin = rs;
    }
}
